### Method

# FwupdPlugin Context get_esp_files

#### Declaration [src]

    GPtrArray*
    fu_context_get_esp_files (
      FuContext* self,
      FuContextEspFileFlags flags,
      GError** error
    )

#### Description [src]

Gets the PE files for all the entries listed in `BootOrder`.

Available since: | 2.0.0

#### Parameters

`flags` | `FuContextEspFileFlags`
| Some `FuContextEspFileFlags`, e.g. #FU_CONTEXT_ESP_FILE_FLAG_INCLUDE_FIRST_STAGE.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `None`
| PE firmware data.
| The caller of the method takes ownership of the data, and is responsible for freeing it.